/*
 * zGo2ProfileDistance.h
 * 
 * Gocator system communication library
 * Copyright (C) 2013 by LMI Technologies Inc.
 * 
 * Licensed under The MIT License.
 * Redistributions of files must retain the above copyright notice.
 */

#ifndef LMITECH_GO2PROFILEDISTANCE_H_INCLUDED
#define LMITECH_GO2PROFILEDISTANCE_H_INCLUDED

#include <Go2Measurements/Go2ProfileDistance.h>
#include <z/zGo2Measurement.h>
#include <z/zGo2Api.h>
#include <Go2ApiBegin.h>

/*
 * Go2ProfileDistance Class 
 */

typedef struct Go2ProfileDistanceClass
{
    GO2_MEASUREMENT_FIELDS(); 
    Go2ProfileFeature features[2]; 
} Go2ProfileDistanceClass; 

GO2_EXPORT(Go2Status) Go2ProfileDistance_Construct(Go2ProfileDistance* measurement, Go2UInt32 id, Go2Object system); 
GO2_EXPORT(Go2Status) Go2ProfileDistance_Init(Go2ProfileDistance measurement, Go2UInt32 id, Go2Object system); 

GO2_EXPORT(Go2Status) Go2ProfileDistance_VRelease(Go2ProfileDistance measurement); 
GO2_EXPORT(Go2Status) Go2ProfileDistance_VRead(Go2ProfileDistance measurement, zXml xml, zXmlItem item); 
GO2_EXPORT(Go2Status) Go2ProfileDistance_VWrite(Go2ProfileDistance measurement, zXml xml, zXmlItem item); 



#include <Go2ApiEnd.h>
#endif
